Researcher Keplon:
Don't you get it?! This tower is itself a battleground! I don't know what is on the top floor, only that there are many who seek it. Worst among them are Death Lord Hallate and his legion. Hallate is responsible for the destruction of the force field that once protected the tower.
The Platinum tribe and angels have guarded the tower for hundreds of years, but recently have been driven from the lower levels by Hallate and his minions. Thankfully they still control the upper floors...
You mustn't think of these guardians as our allies, however. To them we are just more invaders to be dealt with. Above all, remember to avoid looking directly into the eyes of Death Lord Hallate and his minions!
Return